<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/OverloadResolver.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/OverloadResolver.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/OverloadResolver.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree.hh.html" >Synopsis/PTree.hh</a></li>
<li>include <a href="../SymbolLookup.hh.html" >Synopsis/SymbolLookup.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Functions in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#resolve_funcall_lconst.PTree_mFuncallExpr_S_cconst.SymbolLookup_mScope_S_r" >resolve_funcall&#40;const&#160;PTree::FuncallExpr*&#44;const&#160;SymbolLookup::Scope*&#41;</a>
<div class="doc"><p>Resolve a function call in the context of the given scope.</p>
</div></div>

</div>
<div><h3>Namespaces in Synopsis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html" >TypeAnalysis</a>
<div class="doc"></div></div>
</div>

</body>
</html>
